: Class XMLWidgetBuilder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class XMLWidgetBuilder

    java.lang.Object
      |
      +--grendel.ui.XMLWidgetBuilder

Direct Known Subclasses:
  XMLMenuBuilder, XMLPageBuilder

public abstract class XMLWidgetBuilder
extends java.lang.Object

Field Summary
`protected java.util.Properties` | `properties` The properties bundle that the builder will reference to for things like getReferencedLabel.
`protected java.lang.Class` | `ref` Reference point into the CLASSPATH for locating the XML file.

Constructor Summary
`XMLWidgetBuilder()`

Method Summary
`java.lang.String` | `getReferencedLabel(org.w3c.dom.Element current, java.lang.String attr)` Get a label referenced by the string properties file.
`void` | `setConfiguration(org.w3c.dom.Element config)` Set the element as the item containing configuration for the builder.
`void` | `setReference(java.lang.Class ref)` Set the reference point for URL location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected java.util.Properties properties

  The properties bundle that the builder will reference to for things like getReferencedLabel.

### ref

    protected java.lang.Class ref

  Reference point into the CLASSPATH for locating the XML file.

Constructor Detail

### XMLWidgetBuilder

    public XMLWidgetBuilder()

Method Detail

### setReference

    public void setReference(java.lang.Class ref)

  Set the reference point for URL location.
  Parameters:
    `ref` - the reference point for local urls to be loaded from.

### setConfiguration

    public void setConfiguration(org.w3c.dom.Element config)

  Set the element as the item containing configuration for the builder. This would usually be the link tag in the head.
  Parameters:
    `config` - the element containing configuration data

### getReferencedLabel

    public java.lang.String getReferencedLabel(org.w3c.dom.Element current,
                                               java.lang.String attr)

  Get a label referenced by the string properties file.
  Parameters:
    `current` - the element to process
    `attr` - the attribute to look up
  Returns:
    the string as post lookup, or the string pre lookup if the lookup failed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD